curl --request PUT \
--url https://api.devhelm.io/api/v1/monitors/{monitorId}/auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"type": "<string>",
"headerName": "<string>",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authType": "bearer",
"config": {
"type": "<string>",
"headerName": "<string>",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}curl --request PUT \
--url https://api.devhelm.io/api/v1/monitors/{monitorId}/auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"type": "<string>",
"headerName": "<string>",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authType": "bearer",
"config": {
"type": "<string>",
"headerName": "<string>",
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}API key (dh_live_...) or Auth0 JWT token
New authentication configuration (full replacement)
Show child attributes
OK
Show child attributes